%define version 1.2.3
%define release alt2
%define name gtkglarea

Summary: GtkGLArea is an OpenGL widget for GTK+ GUI toolkit.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
URL: http://www.student.oulu.fi/~jlof/gtkglarea/

# Automatically added by buildreq on Tue Nov 12 2002
BuildRequires: Mesa XFree86-devel XFree86-libs gcc-c++ gcc-java glib-devel gtk+-devel libGLU-devel libgcj-devel libstdc++-devel

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

Related project which may iterest those who use GTK-- is GtkGLArea--. It is a
C++ wrapper for gtkglarea written by Karl Nelson <kenelson@ece.ucdavis.edu>.


%package devel
Summary: GtkGLArea is an OpenGL widget for GTK+ -- includes and static libs
Group: Development/GNOME and GTK+
Requires: gtkglarea >= 1.2.2

%description devel
Libraries and includes files you can use for GtkGLArea development

%prep

%setup

%configure
%make

%install
%makeinstall

ln -sf libgtkgl.so.5.0.0 $RPM_BUILD_ROOT%{_libdir}/libgtkgl.so.4


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README docs/*.txt
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*
%{_datadir}/aclocal/*

%changelog
* Tue Nov 12 2002 AEN <aen@altlinux.ru> 1.2.3-alt2
- rebuilt in current environment

* Tue Nov 27 2001 AEN <aen@logic.ru> 1.2.3-alt1
- new version

* Fri Dec 15 2000 AEN <aen@logic.ru>
- adopted for RE
* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-4mdk
- rebuild for gcc-2.96

* Thu Jul 27 2000 Pixel <pixel@mandrakesoft.com> 1.2.2-3mdk
- remove duplicate lib in gtkglarea and gtkglarea-devel + cleanup, BM

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-2mdk
- add ldconfig in devel post

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- clean specfile
- v1.2.2

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
 - rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
   of libMesa*.so stuff)
    
* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.2.1
	 
* Tue Feb 09 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
 - First try at an RPM  
